CommonsLogLogChute (Velocity 1.7 API)
Keywords: org.apache.velocity.runtime.log.CommonsLogLogChute class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.log
Class CommonsLogLogChute

    java.lang.Object
      org.apache.velocity.runtime.log.CommonsLogLogChute

All Implemented Interfaces:
  LogChute

public class CommonsLogLogChute
extends Object
implements LogChute

Redirects Velocity's LogChute messages to commons-logging.

To use, first set up commons-logging, then tell Velocity to use this class for logging by adding the following to your velocity.properties: `runtime.log.logsystem.class = org.apache.velocity.runtime.log.CommonsLogLogChute`

You may also set this property to specify what log/name Velocity's messages should be logged to (example below is default). `runtime.log.logsystem.commons.logging.name = org.apache.velocity`

Since:
  1.6
Version:
  $Id: CommonsLogLogChute.java 71982 2004-02-18 20:11:07Z nbubna $
Author:
  Nathan Bubna

Field Summary
`static String` | `DEFAULT_LOG_NAME` Default name for the commons-logging instance
`protected org.apache.commons.logging.Log` | `log` the commons-logging Log instance
`static String` | `LOGCHUTE_COMMONS_LOG_NAME` Property key for specifying the name for the log instance

Fields inherited from interface org.apache.velocity.runtime.log.LogChute
`DEBUG_ID, DEBUG_PREFIX, ERROR_ID, ERROR_PREFIX, INFO_ID, INFO_PREFIX, TRACE_ID, TRACE_PREFIX, WARN_ID, WARN_PREFIX`

Constructor Summary
`CommonsLogLogChute()`

Method Summary
`void` | `init(RuntimeServices rs)` LogChute methods
`boolean` | `isLevelEnabled(int level)` Checks whether the specified log level is enabled.
`void` | `log(int level, String message)` Send a log message from Velocity.
`void` | `log(int level, String message, Throwable t)` Send a log message from Velocity with an error.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOGCHUTE_COMMONS_LOG_NAME

    public static final String LOGCHUTE_COMMONS_LOG_NAME

  Property key for specifying the name for the log instance

  See Also:
    Constant Field Values

### DEFAULT_LOG_NAME

    public static final String DEFAULT_LOG_NAME

  Default name for the commons-logging instance

  See Also:
    Constant Field Values

### log

    protected org.apache.commons.logging.Log log

  the commons-logging Log instance

Constructor Detail

### CommonsLogLogChute

    public CommonsLogLogChute()

Method Detail

### init

    public void init(RuntimeServices rs)
              throws Exception

  LogChute methods

  Specified by:
    `init` in interface `LogChute`
  Parameters:
    `rs` -
  Throws:
    `Exception`

### log

    public void log(int level,
                    String message)

  Send a log message from Velocity.

  Specified by:
    `log` in interface `LogChute`
  Parameters:
    `level` -
    `message` -

### log

    public void log(int level,
                    String message,
                    Throwable t)

  Send a log message from Velocity with an error.

  Specified by:
    `log` in interface `LogChute`
  Parameters:
    `level` -
    `message` -
    `t` -

### isLevelEnabled

    public boolean isLevelEnabled(int level)

  Checks whether the specified log level is enabled.

  Specified by:
    `isLevelEnabled` in interface `LogChute`
  Parameters:
    `level` -
  Returns:
    True if a level is enabled.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.